सामग्री पर जाएँ

MiniMax (Hailuo AI) Text to Image

इंटीग्रेट करें

मॉडल id minimax/image-01
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/minimax/image-01?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.01 10 API क्रेडिट इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
MiniMax टेक्स्ट से इमेज #stylized#realism

आठ आस्पेक्ट रेशियो, प्रति अनुरोध अधिकतम नौ इमेज और वैकल्पिक प्रॉम्प्ट ऑप्टिमाइज़र वाला MiniMax टेक्स्ट-टू-इमेज

MiniMax · इमेज

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक 88 / 1500

इमेज-निर्माण प्रॉम्प्ट टेक्स्ट, 1500 वर्णों तक सीमित।

aspect_ratio डिफ़ॉल्ट 1:1

आउटपुट इमेज का चौड़ाई-से-ऊँचाई अनुपात।

num_images डिफ़ॉल्ट 1

इमेज निर्माण संख्या, 1 से 9 तक।

उन्नत enable_safety_checker · prompt_optimizer
POST /run/minimax/image-01?wait=20 कोटेशन → $0.01
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/minimax/image-01?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

MiniMax (Hailuo AI) Text to Image के बारे में

अधिकतम 1500 वर्णों वाले `prompt` से इमेज बनाता है। `aspect_ratio` में 1:1, 16:9, 4:3, 3:2, 2:3, 3:4, 9:16 और 21:9 समर्थित हैं। `num_images` प्रति कॉल 1 से 9 इमेज लौटाता है। `prompt_optimizer` प्रॉम्प्ट को स्वचालित रूप से फिर से लिख सकता है और डिफ़ॉल्ट रूप से बंद रहता है।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
यदि कॉलर अधिकृत है, तो false सेट करके स्क्रीनिंग में ढील दी जा सकती है।
promptआवश्यक
प्रकारstring
≤ 1,500 अक्षर
इमेज-निर्माण प्रॉम्प्ट टेक्स्ट, 1500 वर्णों तक सीमित।
aspect_ratioवैकल्पिक
प्रकारenum
डिफ़ॉल्ट1:1
1:116:94:33:22:33:49:1621:9
आउटपुट इमेज का चौड़ाई-से-ऊँचाई अनुपात।
num_imagesवैकल्पिक num_outputs
प्रकारinteger
डिफ़ॉल्ट1
1 – 9
इमेज निर्माण संख्या, 1 से 9 तक।
prompt_optimizerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टfalse
स्वचालित प्रॉम्प्ट अनुकूलन को सक्रिय करना।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "minimax/image-01",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 10,
    "usd": "0.01",
    "charged": 10,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
images
array of object {url, content_type, file_name, file_size}मॉडल द्वारा बनाई गई इमेज।

और मॉडल: टेक्स्ट से इमेज

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/minimax/image-01.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt